from django.conf.urls import url

from . import views


urlpatterns = [
    url(r'^services/$', views.ServiceList.as_view(), name='service-list'),
    url(r'^services/(?P<pk>[0-9]+)/$', views.ServiceDetail.as_view(), name='service-detail'),
    url(r'^services/add/$', views.ServiceCreate.as_view(), name='service-add'),
    url(r'^services/(?P<pk>[0-9]+)/edit/$', views.ServiceUpdate.as_view(), name='service-edit'),
    url(r'^services/(?P<pk>[0-9]+)/allocate/$', views.ServiceAllocate.as_view(), name='service-allocate'),
    url(r'^servicetypes/$', views.ServiceTypeList.as_view(), name='servicetype-list'),
    url(r'^servicetypes/add/$', views.ServiceTypeCreate.as_view(), name='servicetype-add'),
    url(r'^servicetypes/(?P<pk>[0-9]+)/$', views.ServiceTypeDetail.as_view(), name='servicetype-detail'),
    url(r'^servicetypes/(?P<pk>[0-9]+)/edit/$', views.ServiceTypeUpdate.as_view(), name='servicetype-edit'),
    url(r'^ip/$', views.IPResourceList.as_view(), name='ip-list'),
    url(r'^ip/(?P<pk>[0-9]+)/$', views.IPResourceDetail.as_view(), name='ip-detail'),
    url(r'^ip/(?P<pk>[0-9]+)/allocate/$', views.IPResourceAllocate.as_view(), name='ip-allocate'),
    url(r'^allocations/(?P<pk>[0-9]+)/deallocate/$', views.ResourceAllocationDeallocate.as_view(), name='deallocate'),
]
